@import '../../../assets/styles/mixin.scss';
@import '../../../assets/styles/functions.scss';

.feature {
  display: flex;
  flex-direction: column;
  align-items: center;
  // margin-top: 40px;

  &:not(:first-of-type) {
    margin-top: 40px;
  }

  &__image {
    @include flex(center, center);
  }

  &__image img {
    max-width: 100%;
    object-fit: cover;
  }

  &__info {
    text-align: center;
  }

  &__title {
    @include text(16px, 400, capitalize, getFont(primary), 21px);
    color: getTextColor(text5);
    margin-top: 25px;
    margin-bottom: 14px;
  }

  &__text {
    @include text(14px, 400, inherit, getFont(secondary), 21px);
    color: getTextColor(text3);
  }

  @media (min-width: 481px) {
    & {
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
    }

    &:not(:first-of-type) {
      margin-top: 60px;
    }

    &__image {
      min-width: 112px;
      max-width: 112px;
      margin-right: 23px;
    }
    &__info {
      text-align: left;
    }
    &__title {
      margin-top: 0;
    }
  }

  @media (min-width: 993px) {
    &:not(:first-of-type) {
      margin-top: 40px;
    }
  }
}
